using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using SysCore;
using SysCore.Model;
using SysCore.DAL;
using SysCore.Control;
public partial class Base_Vendor_Vendor_List_Grid : System.Web.UI.Page
{
    public AuthUI auth = new AuthUI();
    public Hashtable xview = new Hashtable();
    AWGridFun aw = new AWGridFun();
    protected void Page_Load(object sender, EventArgs e)
    {
        if(!Page.IsPostBack)
        {
            new LoginState().CheckLogin();
            CreateGrid();
        }
    }
    /// <summary>
    /// 绑定控件数据源
    /// </summary>
    public void CreateGrid()
    {
        //设置标题与样式
        ModuleFormatDesigner mfd = new ModuleFormatDesigner();
        string sql_scusct_field = "";//SQL所需选择列
        string module = "Base_Vendor_List";//模块
        string fields_index = "";//列索引
        mfd.CreateTitlesAndStyles(module, ref aw, ref sql_scusct_field, ref fields_index);
        xview.Add("fields_index", fields_index);
        //把样式传递到页面
        xview.Add("aw_column_style",aw.GetStyles());
        int page = 1;//当前页
        if (Request.QueryString["page"] != null)
            page = Convert.ToInt32(Request.QueryString["page"]);
        int page_size = aw.GetDefaultPageSize();//每页显示条数
        if (Request.QueryString["page_size"] != null)
            page_size = Convert.ToInt32(Request.QueryString["page_size"]);
        VendorDAL dal = new VendorDAL();
        Hashtable ht = new Hashtable();
        //排序
        string order_field = "order by vd_code asc";
        ht.Add("order_field", order_field);
        ht.Add("page", page);
        ht.Add("page_size", page_size);
        //查询条件
        string sql_end = "";
        if (!Request["vd_code"].Equals(""))
        {
            sql_end += " and vd_code like '%" + Request["vd_code"] + "%'";
        }
        if (!Request["vd_name"].Equals(""))
        {
            sql_end += " and vd_name like '%" + Request["vd_name"] + "%'";
        }
        if (!Request["category"].Equals("") && !Request["category"].Equals("0"))
        {
            string vc_code = new VendorClassDAL().GetCodeById(Convert.ToInt32(Request["category"]));
            sql_end += " and vc_code like '" + vc_code + "%'";
        }
        ht.Add("sql_end", sql_end);
        //查询后返回DataTable
        DataTable dt = dal.GetList(ht, sql_scusct_field);
        //把sql放入session中供打印用
        string sql_print_detail_session_id = "sql_print_detail_Vendor";
        Session[sql_print_detail_session_id] = dal.sql_print;
        xview.Add("sql_print_detail_session_id", sql_print_detail_session_id);
        //供导出Excel用
        string field_for_export = mfd.field_for_export;
        Session[sql_print_detail_session_id + "_export_field"] = field_for_export;
        //得到总记录数为分页提供依据
        int rows_count = dal.GetList_TotalNumbers(ht);
        string aw_grid_info = aw.MakeGridObject(dt, rows_count, page_size, page);
        //把控件参数与数据源传递到页面
        xview.Add("aw_grid_info", aw_grid_info);
    }
}
